## EvDocumentAnnotations

EvDocumentAnnotations

## Functions

EvMappingList * | ev_document_annotations_get_annotations ()
void | ev_document_annotations_add_annotation ()
gboolean | ev_document_annotations_can_add_annotation ()
gboolean | ev_document_annotations_document_is_modified ()
void | ev_document_annotations_save_annotation ()

## Types and Values

| EvDocumentAnnotations
struct | EvDocumentAnnotationsInterface
enum | EvAnnotationsSaveMask

## Object Hierarchy

        GFlags
        ╰── EvAnnotationsSaveMask
        GInterface
        ╰── EvDocumentAnnotations

## Description

## Functions

### ev_document_annotations_get_annotations ()

    EvMappingList *
    ev_document_annotations_get_annotations
                                   (EvDocumentAnnotations *document_annots,
                                    EvPage *page);

### ev_document_annotations_add_annotation ()

    void
    ev_document_annotations_add_annotation
                                   (EvDocumentAnnotations *document_annots,
                                    EvAnnotation *annot,
                                    EvRectangle *rect);

### ev_document_annotations_can_add_annotation ()

    gboolean
    ev_document_annotations_can_add_annotation
                                   (EvDocumentAnnotations *document_annots);

### ev_document_annotations_document_is_modified ()

    gboolean
    ev_document_annotations_document_is_modified
                                   (EvDocumentAnnotations *document_annots);

### ev_document_annotations_save_annotation ()

    void
    ev_document_annotations_save_annotation
                                   (EvDocumentAnnotations *document_annots,
                                    EvAnnotation *annot,
                                    EvAnnotationsSaveMask mask);

## Types and Values

### EvDocumentAnnotations

    typedef struct _EvDocumentAnnotations EvDocumentAnnotations;

### struct EvDocumentAnnotationsInterface

    struct EvDocumentAnnotationsInterface {
    	GTypeInterface base_iface;

    	/* Methods  */
    	EvMappingList *(* get_annotations)      (EvDocumentAnnotations *document_annots,
    						 EvPage                *page);
    	gboolean       (* document_is_modified) (EvDocumentAnnotations *document_annots);
    	void           (* add_annotation)       (EvDocumentAnnotations *document_annots,
    						 EvAnnotation          *annot,
    						 EvRectangle           *rect);
    	void           (* save_annotation)      (EvDocumentAnnotations *document_annots,
    						 EvAnnotation          *annot,
    						 EvAnnotationsSaveMask  mask);
    	void	       (* remove_annotation)    (EvDocumentAnnotations *document_annots,
    						 EvAnnotation          *annot);
    };

### enum EvAnnotationsSaveMask

#### Members

EV_ANNOTATIONS_SAVE_NONE |  |
EV_ANNOTATIONS_SAVE_CONTENTS |  |
EV_ANNOTATIONS_SAVE_COLOR |  |
EV_ANNOTATIONS_SAVE_AREA |  |
EV_ANNOTATIONS_SAVE_LABEL |  |
EV_ANNOTATIONS_SAVE_OPACITY |  |
EV_ANNOTATIONS_SAVE_POPUP_RECT |  |
EV_ANNOTATIONS_SAVE_POPUP_IS_OPEN |  |
EV_ANNOTATIONS_SAVE_TEXT_IS_OPEN |  |
EV_ANNOTATIONS_SAVE_TEXT_ICON |  |
EV_ANNOTATIONS_SAVE_ATTACHMENT |  |
EV_ANNOTATIONS_SAVE_TEXT_MARKUP_TYPE |  |
EV_ANNOTATIONS_SAVE_ALL |  |